/*!
 * Evo Calendar - Simple and Modern-looking Event Calendar Plugin
 *
 * Licensed under the MIT License
 * 
 * Version: 1.0.0
 * Author: Edlyn Villegas
 * Docs: https://edlynvillegas.github.com/evo-calendar
 * Repo: https://github.com/edlynvillegas/evo-calendar
 * Issues: https://github.com/edlynvillegas/evo-calendar/issues
 * 
 */
!function(factory){"use strict";"function"==typeof define&&define.amd?define(["jquery"],factory):"undefined"!=typeof exports?module.exports=factory(require("jquery")):factory(jQuery)}((function($){"use strict";var EvoCalendar=window.EvoCalendar||{};(EvoCalendar=function(){var instanceUid=0;function EvoCalendar(element,settings){var _=this;if(_.defaults={theme:null,format:"mm/dd/yyyy",titleFormat:"MM yyyy",eventHeaderFormat:"MM d, yyyy",firstDayOfWeek:0,language:"en",todayHighlight:!1,sidebarDisplayDefault:!0,sidebarToggler:!0,eventDisplayDefault:!0,eventListToggler:!0,calendarEvents:null},_.options=$.extend({},_.defaults,settings),_.initials={default_class:$(element)[0].classList.value,validParts:/dd?|DD?|mm?|MM?|yy(?:yy)?/g,dates:{en:{days:["Sunday","Monday","Tuesday","Wednesday","Thursday","Friday","Saturday"],daysShort:["Sun","Mon","Tue","Wed","Thu","Fri","Sat"],daysMin:["Su","Mo","Tu","We","Th","Fr","Sa"],months:["January","February","March","April","May","June","July","August","September","October","November","December"],monthsShort:["Jan","Feb","Mar","Apr","May","Jun","Jul","Aug","Sep","Oct","Nov","Dec"],noEventForToday:"No event for today.. so take a rest! :)",noEventForThisDay:"No event for this day.. so take a rest! :)"},es:{days:["Domingo","Lunes","Martes","Miércoles","Jueves","Viernes","Sábado"],daysShort:["Dom","Lun","Mar","Mié","Jue","Vie","Sáb"],daysMin:["Do","Lu","Ma","Mi","Ju","Vi","Sa"],months:["Enero","Febrero","Marzo","Abril","Mayo","Junio","Julio","Agosto","Septiembre","Octubre","Noviembre","Diciembre"],monthsShort:["Ene","Feb","Mar","Abr","May","Jun","Jul","Ago","Sep","Oct","Nov","Dic"],noEventForToday:"No hay evento para hoy.. ¡así que descanse! :)",noEventForThisDay:"Ningún evento para este día.. ¡así que descanse! :)"},de:{days:["Sonntag","Montag","Dienstag","Mittwoch","Donnerstag","Freitag","Samstag"],daysShort:["So","Mo","Di","Mi","Do","Fr","Sa"],daysMin:["So","Mo","Di","Mi","Do","Fr","Sa"],months:["Januar","Februar","März","April","Mai","Juni","Juli","August","September","Oktober","November","Dezember"],monthsShort:["Jan","Feb","Mär","Apr","Mai","Jun","Jul","Aug","Sep","Okt","Nov","Dez"],noEventForToday:"Keine Veranstaltung für heute.. also ruhen Sie sich aus! :)",noEventForThisDay:"Keine Veranstaltung für diesen Tag.. also ruhen Sie sich aus! :)"},pt:{days:["Domingo","Segunda-Feira","Terça-Feira","Quarta-Feira","Quinta-Feira","Sexta-Feira","Sábado"],daysShort:["Dom","Seg","Ter","Qua","Qui","Sex","Sáb"],daysMin:["Do","2a","3a","4a","5a","6a","Sa"],months:["Janeiro","Fevereiro","Março","Abril","Maio","Junho","Julho","Agosto","Setembro","Outubro","Novembro","Dezembro"],monthsShort:["Jan","Feb","Mar","Abr","Mai","Jun","Jul","Ago","Set","Out","Nov","Dez"],noEventForToday:"Nenhum evento para hoje.. então descanse! :)",noEventForThisDay:"Nenhum evento para este dia.. então descanse! :)"}}},_.initials.weekends={sun:_.initials.dates[_.options.language].daysShort[0],sat:_.initials.dates[_.options.language].daysShort[6]},null!=_.options.calendarEvents)for(var i=0;i<_.options.calendarEvents.length;i++)_.options.calendarEvents[i].id||console.log('%c Event named: "'+_.options.calendarEvents[i].name+"\" doesn't have a unique ID ","color:white;font-weight:bold;background-color:#e21d1d;"),_.isValidDate(_.options.calendarEvents[i].date)&&(_.options.calendarEvents[i].date=_.formatDate(_.options.calendarEvents[i].date,_.options.format));_.startingDay=null,_.monthLength=null,_.$current={month:isNaN(this.month)||null==this.month?(new Date).getMonth():this.month,year:isNaN(this.year)||null==this.year?(new Date).getFullYear():this.year,date:_.formatDate(_.initials.dates[_.defaults.language].months[(new Date).getMonth()]+" "+(new Date).getDate()+" "+(new Date).getFullYear(),_.options.format)},_.$active={month:_.$current.month,year:_.$current.year,date:_.$current.date,event_date:_.$current.date,events:[]},_.$label={days:[],months:_.initials.dates[_.defaults.language].months,days_in_month:[31,28,31,30,31,30,31,31,30,31,30,31]},_.$markups={calendarHTML:"",mainHTML:"",sidebarHTML:"",eventHTML:""},_.$elements={calendarEl:$(element),innerEl:null,sidebarEl:null,eventEl:null,sidebarToggler:null,eventListToggler:null,activeDayEl:null,activeMonthEl:null,activeYearEl:null},_.$breakpoints={tablet:768,mobile:425},_.formatDate=$.proxy(_.formatDate,_),_.selectDate=$.proxy(_.selectDate,_),_.selectMonth=$.proxy(_.selectMonth,_),_.selectYear=$.proxy(_.selectYear,_),_.selectEvent=$.proxy(_.selectEvent,_),_.toggleSidebar=$.proxy(_.toggleSidebar,_),_.toggleEventList=$.proxy(_.toggleEventList,_),_.instanceUid=instanceUid++,_.init(!0)}return EvoCalendar}()).prototype.init=function(init){var _=this,windowW=$(window).width();$(_.$elements.calendarEl).hasClass("calendar-initialized")||($(_.$elements.calendarEl).addClass("evo-calendar calendar-initialized"),windowW<=_.$breakpoints.tablet?$(_.$elements.calendarEl).addClass("sidebar-hide event-hide"):(_.options.sidebarDisplayDefault||$(_.$elements.calendarEl).addClass("sidebar-hide"),_.options.eventDisplayDefault||$(_.$elements.calendarEl).addClass("event-hide")),_.options.theme&&_.setTheme(_.options.theme),_.buildTheBones())},EvoCalendar.prototype.destroy=function(){var _=this;_.destroyEventListener(),_.$elements.calendarEl&&(_.$elements.calendarEl.removeClass("calendar-initialized"),_.$elements.calendarEl.removeClass("evo-calendar"),_.$elements.calendarEl.removeClass("sidebar-hide"),_.$elements.calendarEl.removeClass("event-hide")),_.$elements.calendarEl.empty(),_.$elements.calendarEl.attr("class",_.initials.default_class),$(_.$elements.calendarEl).trigger("destroy",[_])},EvoCalendar.prototype.limitTitle=function(title,limit){var newTitle=[];if(limit=void 0===limit?18:limit,title.split(" ").join("").length>limit){for(var t=title.split(" "),i=0;i<t.length;i++)t[i].length+newTitle.join("").length<=limit&&newTitle.push(t[i]);return newTitle.join(" ")+"..."}return title},EvoCalendar.prototype.parseFormat=function(format){var _=this;if("function"==typeof format.toValue&&"function"==typeof format.toDisplay)return format;var separators=format.replace(_.initials.validParts,"\0").split("\0"),parts=format.match(_.initials.validParts);return separators&&separators.length&&parts&&0!==parts.length||console.log("%c Invalid date format ","color:white;font-weight:bold;background-color:#e21d1d;"),{separators:separators,parts:parts}},EvoCalendar.prototype.formatDate=function(date,format,language){var _=this;if(!date)return"";if(language=language||_.defaults.language,"string"==typeof format&&(format=_.parseFormat(format)),format.toDisplay)return format.toDisplay(date,format,language);var ndate=new Date(date),val={d:ndate.getDate(),D:_.initials.dates[language].daysShort[ndate.getDay()],DD:_.initials.dates[language].days[ndate.getDay()],m:ndate.getMonth()+1,M:_.initials.dates[language].monthsShort[ndate.getMonth()],MM:_.initials.dates[language].months[ndate.getMonth()],yy:ndate.getFullYear().toString().substring(2),yyyy:ndate.getFullYear()};val.dd=(val.d<10?"0":"")+val.d,val.mm=(val.m<10?"0":"")+val.m,date=[];for(var seps=$.extend([],format.separators),i=0,cnt=format.parts.length;i<=cnt;i++)seps.length&&date.push(seps.shift()),date.push(val[format.parts[i]]);return date.join("")},EvoCalendar.prototype.setTheme=function(themeName){var _=this,prevTheme=_.options.theme;_.options.theme=themeName.toLowerCase().split(" ").join("-"),_.options.theme&&$(_.$elements.calendarEl).removeClass(prevTheme),"default"!==_.options.theme&&$(_.$elements.calendarEl).addClass(_.options.theme)},EvoCalendar.prototype.resize=function(){var _=this,hasSidebar=!_.$elements.calendarEl.hasClass("sidebar-hide"),hasEvent=!_.$elements.calendarEl.hasClass("event-hide"),windowW=$(window).width();windowW<=_.$breakpoints.tablet&&windowW>_.$breakpoints.mobile?(hasSidebar&&_.toggleSidebar(),hasEvent&&_.toggleEventList(),$(window).off("click.evocalendar.evo-"+_.instanceUid).on("click.evocalendar.evo-"+_.instanceUid,$.proxy(_.toggleOutside,_))):windowW<=_.$breakpoints.mobile?(hasSidebar&&_.toggleSidebar(!1),hasEvent&&_.toggleEventList(!1),$(window).off("click.evocalendar.evo-"+_.instanceUid)):$(window).off("click.evocalendar.evo-"+_.instanceUid)},EvoCalendar.prototype.initEventListener=function(){var _=this;$(window).off("resize.evocalendar.evo-"+_.instanceUid).on("resize.evocalendar.evo-"+_.instanceUid,$.proxy(_.resize,_)),_.options.sidebarToggler&&_.$elements.sidebarToggler.off("click.evocalendar").on("click.evocalendar",_.toggleSidebar),_.options.eventListToggler&&_.$elements.eventListToggler.off("click.evocalendar").on("click.evocalendar",_.toggleEventList),_.$elements.sidebarEl.find("[data-month-val]").off("click.evocalendar").on("click.evocalendar",_.selectMonth),_.$elements.sidebarEl.find("[data-year-val]").off("click.evocalendar").on("click.evocalendar",_.selectYear),_.$elements.eventEl.find("[data-event-index]").off("click.evocalendar").on("click.evocalendar",_.selectEvent)},EvoCalendar.prototype.destroyEventListener=function(){var _=this;$(window).off("resize.evocalendar.evo-"+_.instanceUid),$(window).off("click.evocalendar.evo-"+_.instanceUid),_.options.sidebarToggler&&_.$elements.sidebarToggler.off("click.evocalendar"),_.options.eventListToggler&&_.$elements.eventListToggler.off("click.evocalendar"),_.$elements.innerEl.find(".calendar-day").children().off("click.evocalendar"),_.$elements.sidebarEl.find("[data-month-val]").off("click.evocalendar"),_.$elements.sidebarEl.find("[data-year-val]").off("click.evocalendar"),_.$elements.eventEl.find("[data-event-index]").off("click.evocalendar")},EvoCalendar.prototype.calculateDays=function(){var _=this,nameDays,weekStart,firstDay;for(_.monthLength=_.$label.days_in_month[_.$active.month],1==_.$active.month&&(_.$active.year%4==0&&_.$active.year%100!=0||_.$active.year%400==0)&&(_.monthLength=29),nameDays=_.initials.dates[_.options.language].daysShort,weekStart=_.options.firstDayOfWeek;_.$label.days.length<nameDays.length;)weekStart==nameDays.length&&(weekStart=0),_.$label.days.push(nameDays[weekStart]),weekStart++;console.log(_.$label.days),firstDay=new Date(_.$active.year,_.$active.month).getDay()-weekStart,_.startingDay=firstDay<0?_.$label.days.length+firstDay:firstDay},EvoCalendar.prototype.buildTheBones=function(){var _=this;if(_.calculateDays(),!_.$elements.calendarEl.html()){var markup;markup='<div class="calendar-sidebar"><div class="calendar-year"><button class="icon-button" role="button" data-year-val="prev" title="Previous year"><span class="chevron-arrow-left"></span></button>&nbsp;<p></p>&nbsp;<button class="icon-button" role="button" data-year-val="next" title="Next year"><span class="chevron-arrow-right"></span></button></div><div class="month-list"><ul class="calendar-months">';for(var i=0;i<_.$label.months.length;i++)markup+='<li class="month" role="button" data-month-val="'+i+'">'+_.initials.dates[_.options.language].months[i]+"</li>";markup+="</ul>",markup+="</div></div>",markup+='<div class="calendar-inner"><table class="calendar-table"><tr><th colspan="7"></th></tr><tr class="calendar-header">';for(var i=0;i<_.$label.days.length;i++){var headerClass="calendar-header-day";_.$label.days[i]!==_.initials.weekends.sat&&_.$label.days[i]!==_.initials.weekends.sun||(headerClass+=" --weekend"),markup+='<td class="'+headerClass+'">'+_.$label.days[i]+"</td>"}markup+="</tr></table></div>",markup+='<div class="calendar-events"><div class="event-header"><p></p></div><div class="event-list"></div></div>',_.$elements.calendarEl.html(markup),_.$elements.sidebarEl||(_.$elements.sidebarEl=$(_.$elements.calendarEl).find(".calendar-sidebar")),_.$elements.innerEl||(_.$elements.innerEl=$(_.$elements.calendarEl).find(".calendar-inner")),_.$elements.eventEl||(_.$elements.eventEl=$(_.$elements.calendarEl).find(".calendar-events")),_.options.sidebarToggler&&($(_.$elements.sidebarEl).append('<span id="sidebarToggler" role="button" aria-pressed title="Close sidebar"><button class="icon-button"><span class="bars"></span></button></span>'),_.$elements.sidebarToggler||(_.$elements.sidebarToggler=$(_.$elements.sidebarEl).find("span#sidebarToggler"))),_.options.eventListToggler&&($(_.$elements.calendarEl).append('<span id="eventListToggler" role="button" aria-pressed title="Close event list"><button class="icon-button"><span class="chevron-arrow-right"></span></button></span>'),_.$elements.eventListToggler||(_.$elements.eventListToggler=$(_.$elements.calendarEl).find("span#eventListToggler")))}_.buildSidebarYear(),_.buildSidebarMonths(),_.buildCalendar(),_.buildEventList(),_.initEventListener(),_.resize()},EvoCalendar.prototype.buildEventList=function(){var _=this,markup,hasEventToday=!1;_.$active.events=[];var title=_.formatDate(_.$active.date,_.options.eventHeaderFormat,_.options.language);_.$elements.eventEl.find(".event-header > p").text(title);var eventListEl=_.$elements.eventEl.find(".event-list");if(eventListEl.children().length>0&&eventListEl.empty(),_.options.calendarEvents)for(var i=0;i<_.options.calendarEvents.length;i++)if(_.$active.date===_.options.calendarEvents[i].date)hasEventToday=!0,_.addEventList(_.options.calendarEvents[i]);else if(_.options.calendarEvents[i].everyYear){var d,dd;new Date(_.$active.date).getMonth()+1+" "+new Date(_.$active.date).getDate()==new Date(_.options.calendarEvents[i].date).getMonth()+1+" "+new Date(_.options.calendarEvents[i].date).getDate()&&(hasEventToday=!0,_.addEventList(_.options.calendarEvents[i]))}hasEventToday||(markup=_.$active.date===_.$current.date?`<p>${_.initials.dates[_.options.language].noEventForToday}</p>`:`<p>${_.initials.dates[_.options.language].noEventForThisDay}</p>`),eventListEl.append(markup)},EvoCalendar.prototype.addEventList=function(event_data){var _=this,markup,eventListEl=_.$elements.eventEl.find(".event-list");0===eventListEl.find("[data-event-index]").length&&eventListEl.empty(),_.$active.events.push(event_data),markup='<div class="event-container" role="button" data-event-index="'+event_data.id+'">',markup+='<div class="event-icon"><div class="event-bullet-'+event_data.type+'"></div></div>',markup+='<div class="event-info"><p>'+_.limitTitle(event_data.name)+"</p></div>",markup+="</div>",eventListEl.append(markup),_.$elements.eventEl.find('[data-event-index="'+event_data.id+'"]').off("click.evocalendar").on("click.evocalendar",_.selectEvent)},EvoCalendar.prototype.removeEventList=function(event_data){var _=this,markup,eventListEl=_.$elements.eventEl.find(".event-list");0!==eventListEl.find('[data-event-index="'+event_data+'"]').length&&(eventListEl.find('[data-event-index="'+event_data+'"]').remove(),0===eventListEl.find("[data-event-index]").length&&(eventListEl.empty(),markup=_.$active.date===_.$current.date?`<p>${_.initials.dates[_.options.language].noEventForToday}</p>`:`<p>${_.initials.dates[_.options.language].noEventForThisDay}</p>`,eventListEl.append(markup)))},EvoCalendar.prototype.buildSidebarYear=function(){var _=this;_.$elements.sidebarEl.find(".calendar-year > p").text(_.$active.year)},EvoCalendar.prototype.buildSidebarMonths=function(){var _=this;_.$elements.sidebarEl.find(".calendar-months > [data-month-val]").removeClass("active-month"),_.$elements.sidebarEl.find('.calendar-months > [data-month-val="'+_.$active.month+'"]').addClass("active-month")},EvoCalendar.prototype.buildCalendar=function(){var _=this,markup,title;_.calculateDays(),title=_.formatDate(new Date(_.$label.months[_.$active.month]+" 1 "+_.$active.year),_.options.titleFormat,_.options.language),_.$elements.innerEl.find(".calendar-table th").text(title),_.$elements.innerEl.find(".calendar-body").remove(),markup+='<tr class="calendar-body">';for(var day=1,i=0;i<9;i++){for(var j=0;j<_.$label.days.length;j++){if(day<=_.monthLength&&(i>0||j>=_.startingDay)){var dayClass="calendar-day",thisDay;_.$label.days[j]!==_.initials.weekends.sat&&_.$label.days[j]!==_.initials.weekends.sun||(dayClass+=" --weekend"),markup+='<td class="'+dayClass+'">',markup+='<div class="day" role="button" data-date-val="'+_.formatDate(_.$label.months[_.$active.month]+" "+day+" "+_.$active.year,_.options.format)+'">'+day+"</div>",day++}else markup+="<td>";markup+="</td>"}if(day>_.monthLength)break;markup+='</tr><tr class="calendar-body">'}markup+="</tr>",_.$elements.innerEl.find(".calendar-table").append(markup),_.options.todayHighlight&&_.$elements.innerEl.find("[data-date-val='"+_.$current.date+"']").addClass("calendar-today"),_.$elements.innerEl.find(".calendar-day").children().off("click.evocalendar").on("click.evocalendar",_.selectDate);var selectedDate=_.$elements.innerEl.find("[data-date-val='"+_.$active.date+"']");selectedDate&&(_.$elements.innerEl.children().removeClass("calendar-active"),selectedDate.addClass("calendar-active")),null!=_.options.calendarEvents&&_.buildEventIndicator()},EvoCalendar.prototype.addEventIndicator=function(active_date,type){var _,htmlToAppend,thisDate=this.$elements.innerEl.find('[data-date-val="'+active_date+'"]');0===thisDate.find("span.event-indicator").length&&thisDate.append('<span class="event-indicator"></span>'),0===thisDate.find("span.event-indicator > .type-bullet > .type-"+type).length&&(htmlToAppend='<div class="type-bullet"><div class="type-'+type+'"></div></div>',thisDate.find(".event-indicator").append(htmlToAppend))},EvoCalendar.prototype.removeEventIndicator=function(active_date,type){var _=this,eventLength=0;if(0!==_.$elements.innerEl.find('[data-date-val="'+active_date+'"] span.event-indicator').length){for(var i=0;i<_.options.calendarEvents.length;i++)active_date===_.options.calendarEvents[i].date&&type===_.options.calendarEvents[i].type&&eventLength++;0===eventLength&&_.$elements.innerEl.find('[data-date-val="'+active_date+'"] span.event-indicator > .type-bullet > .type-'+type).parent().remove()}},EvoCalendar.prototype.buildEventIndicator=function(){var _=this;_.$elements.innerEl.find(".calendar-day > day > .event-indicator").empty();for(var i=0;i<_.options.calendarEvents.length;i++)for(var x=0;x<_.monthLength;x++){var active_date=_.formatDate(_.$label.months[_.$active.month]+" "+(x+1)+" "+_.$active.year,_.options.format);if(active_date==_.options.calendarEvents[i].date)_.addEventIndicator(active_date,_.options.calendarEvents[i].type);else if(_.options.calendarEvents[i].everyYear){var d,dd;new Date(active_date).getMonth()+1+" "+new Date(active_date).getDate()==new Date(_.options.calendarEvents[i].date).getMonth()+1+" "+new Date(_.options.calendarEvents[i].date).getDate()&&_.addEventIndicator(active_date,_.options.calendarEvents[i].type)}}},EvoCalendar.prototype.selectEvent=function(event){var _=this,el=$(event.target).closest(".event-container"),id=$(el).data("eventIndex"),index=_.options.calendarEvents.map((function(event){return event.id})).indexOf(id);$(_.$elements.calendarEl).trigger("selectEvent",[_.options.calendarEvents[index]])},EvoCalendar.prototype.selectYear=function(event){var _=this,el,yearVal,windowW=$(window).width(),hasSidebar=!_.$elements.calendarEl.hasClass("sidebar-hide");"string"==typeof event||"number"==typeof event?4===parseInt(event).toString().length&&(yearVal=parseInt(event)):(el=$(event.target).closest("[data-year-val]"),yearVal=$(el).data("yearVal")),"prev"==yearVal?--_.$active.year:"next"==yearVal?++_.$active.year:"number"==typeof yearVal&&(_.$active.year=yearVal),windowW<=_.$breakpoints.mobile&&hasSidebar&&_.toggleSidebar(!1),_.buildSidebarYear(),_.buildCalendar()},EvoCalendar.prototype.selectMonth=function(event){var _=this,windowW=$(window).width(),hasSidebar=!_.$elements.calendarEl.hasClass("sidebar-hide");"string"==typeof event||"number"==typeof event?event>=0&&event<=_.$label.months.length&&(_.$active.month=event.toString()):_.$active.month=$(event.currentTarget).data("monthVal"),windowW<=_.$breakpoints.tablet&&hasSidebar&&_.toggleSidebar(!1),_.buildSidebarMonths(),_.buildCalendar()},EvoCalendar.prototype.selectDate=function(event){var _=this,oldDate=_.$active.date,date,year,month,activeDayEl,isSameDate;"string"==typeof event||"number"==typeof event||event instanceof Date?(date=_.formatDate(new Date(event),_.options.format),year=new Date(date).getFullYear(),month=new Date(date).getMonth(),_.$active.year!==year&&_.selectYear(year),_.$active.month!==month&&_.selectMonth(month),activeDayEl=_.$elements.innerEl.find("[data-date-val='"+date+"']")):date=(activeDayEl=$(event.currentTarget)).data("dateVal"),isSameDate=_.$active.date===date,_.$active.date=date,_.$active.event_date=date,_.$elements.innerEl.find("[data-date-val]").removeClass("calendar-active"),activeDayEl.addClass("calendar-active"),isSameDate||_.buildEventList(),$(_.$elements.calendarEl).trigger("selectDate",[_.$active.date,oldDate])},EvoCalendar.prototype.getActiveDate=function(){var _;return this.$active.date},EvoCalendar.prototype.getActiveEvents=function(){var _;return this.$active.events},EvoCalendar.prototype.toggleOutside=function(event){var _=this,hasSidebar,hasEvent,isInnerClicked;hasSidebar=!_.$elements.calendarEl.hasClass("sidebar-hide"),hasEvent=!_.$elements.calendarEl.hasClass("event-hide"),isInnerClicked=event.target===_.$elements.innerEl[0],hasSidebar&&isInnerClicked&&_.toggleSidebar(!1),hasEvent&&isInnerClicked&&_.toggleEventList(!1)},EvoCalendar.prototype.toggleSidebar=function(event){var _=this,hasSidebar,hasEvent,windowW;windowW=$(window).width(),void 0===event||event.originalEvent?$(_.$elements.calendarEl).toggleClass("sidebar-hide"):event?$(_.$elements.calendarEl).removeClass("sidebar-hide"):$(_.$elements.calendarEl).addClass("sidebar-hide"),windowW<=_.$breakpoints.tablet&&windowW>_.$breakpoints.mobile&&(hasSidebar=!_.$elements.calendarEl.hasClass("sidebar-hide"),hasEvent=!_.$elements.calendarEl.hasClass("event-hide"),hasSidebar&&hasEvent&&_.toggleEventList())},EvoCalendar.prototype.toggleEventList=function(event){var _=this,hasSidebar,hasEvent,windowW;windowW=$(window).width(),void 0===event||event.originalEvent?$(_.$elements.calendarEl).toggleClass("event-hide"):event?$(_.$elements.calendarEl).removeClass("event-hide"):$(_.$elements.calendarEl).addClass("event-hide"),windowW<=_.$breakpoints.tablet&&windowW>_.$breakpoints.mobile&&(hasEvent=!_.$elements.calendarEl.hasClass("event-hide"),hasSidebar=!_.$elements.calendarEl.hasClass("sidebar-hide"),hasEvent&&hasSidebar&&_.toggleSidebar())},EvoCalendar.prototype.addCalendarEvent=function(arr){var _=this;function addEvent(data){data.id||console.log('%c Event named: "'+data.name+"\" doesn't have a unique ID ","color:white;font-weight:bold;background-color:#e21d1d;"),_.isValidDate(data.date)?(data.date=_.formatDate(new Date(data.date),_.options.format),_.options.calendarEvents||(_.options.calendarEvents=[]),_.options.calendarEvents.push(data),_.addEventIndicator(data.date,data.type),_.$active.event_date===data.date&&_.addEventList(data),_.$elements.innerEl.find("[data-date-val='"+data.date+"']")):console.log('%c Event named: "'+data.name+'" has invalid date ',"color:white;font-weight:bold;background-color:#e21d1d;")}if(arr instanceof Array)for(var i=0;i<arr.length;i++)addEvent(arr[i]);else"object"==typeof arr&&addEvent(arr)},EvoCalendar.prototype.removeCalendarEvent=function(arr){var _=this;function deleteEvent(data){var index=_.options.calendarEvents.map((function(event){return event.id})).indexOf(data);if(index>=0){var active_date=_.options.calendarEvents[index].date,type=_.options.calendarEvents[index].type;_.options.calendarEvents.splice(index,1),_.removeEventList(data),_.removeEventIndicator(active_date,type)}else console.log("%c "+data+": ID not found ","color:white;font-weight:bold;background-color:#e21d1d;")}if(arr instanceof Array)for(var i=0;i<arr.length;i++)deleteEvent(arr[i]);else deleteEvent(arr)},EvoCalendar.prototype.isValidDate=function(d){return new Date(d)&&!isNaN(new Date(d).getTime())},$.fn.evoCalendar=function(){var _=this,opt=arguments[0],args=Array.prototype.slice.call(arguments,1),l=_.length,i,ret;for(i=0;i<l;i++)if("object"==typeof opt||void 0===opt?_[i].evoCalendar=new EvoCalendar(_[i],opt):ret=_[i].evoCalendar[opt].apply(_[i].evoCalendar,args),void 0!==ret)return ret;return _}}));